com.amazonaws.auth.policy.actions

## Enum CodecommitActions

- java.lang.Object
- - java.lang.Enum<CodecommitActions>
  - - com.amazonaws.auth.policy.actions.CodecommitActions

All Implemented Interfaces:
  Action, Serializable, Comparable<CodecommitActions>

    public enum CodecommitActions
    extends Enum<CodecommitActions>
    implements Action

The available AWS access control policy actions for CodeCommit.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AllCodecommitActions` Represents any action executed on CodeCommit.
`BatchGetRepositories` Action for the BatchGetRepositories operation.
`CreateBranch` Action for the CreateBranch operation.
`CreateRepository` Action for the CreateRepository operation.
`DeleteRepository` Action for the DeleteRepository operation.
`GetBlob` Action for the GetBlob operation.
`GetBranch` Action for the GetBranch operation.
`GetCommit` Deprecated.
`GetObjectIdentifier` Action for the GetObjectIdentifier operation.
`GetRepository` Action for the GetRepository operation.
`GetRepositoryTriggers` Deprecated.
`GetTree` Action for the GetTree operation.
`GitPull` Action for the GitPull operation.
`GitPush` Action for the GitPush operation.
`ListBranches` Action for the ListBranches operation.
`ListRepositories` Action for the ListRepositories operation.
`PutRepositoryTriggers` Deprecated.
`TestRepositoryTriggers` Deprecated.
`UpdateDefaultBranch` Action for the UpdateDefaultBranch operation.
`UpdateRepositoryDescription` Action for the UpdateRepositoryDescription operation.
`UpdateRepositoryName` Action for the UpdateRepositoryName operation.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getActionName()`
`static CodecommitActions` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CodecommitActions[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AllCodecommitActions

    public static final CodecommitActions AllCodecommitActions

Represents any action executed on CodeCommit.

#### BatchGetRepositories

    public static final CodecommitActions BatchGetRepositories

Action for the BatchGetRepositories operation.

#### CreateBranch

    public static final CodecommitActions CreateBranch

Action for the CreateBranch operation.

#### CreateRepository

    public static final CodecommitActions CreateRepository

Action for the CreateRepository operation.

#### DeleteRepository

    public static final CodecommitActions DeleteRepository

Action for the DeleteRepository operation.

#### GetBlob

    public static final CodecommitActions GetBlob

Action for the GetBlob operation.

#### GetBranch

    public static final CodecommitActions GetBranch

Action for the GetBranch operation.

#### GetCommit

    @Deprecated
    public static final CodecommitActions GetCommit

Deprecated.
Action for the GetCommit operation.

#### GetObjectIdentifier

    public static final CodecommitActions GetObjectIdentifier

Action for the GetObjectIdentifier operation.

#### GetRepository

    public static final CodecommitActions GetRepository

Action for the GetRepository operation.

#### GetRepositoryTriggers

    @Deprecated
    public static final CodecommitActions GetRepositoryTriggers

Deprecated.
Action for the GetRepositoryTriggers operation.

#### GetTree

    public static final CodecommitActions GetTree

Action for the GetTree operation.

#### GitPull

    public static final CodecommitActions GitPull

Action for the GitPull operation.

#### GitPush

    public static final CodecommitActions GitPush

Action for the GitPush operation.

#### ListBranches

    public static final CodecommitActions ListBranches

Action for the ListBranches operation.

#### ListRepositories

    public static final CodecommitActions ListRepositories

Action for the ListRepositories operation.

#### PutRepositoryTriggers

    @Deprecated
    public static final CodecommitActions PutRepositoryTriggers

Deprecated.
Action for the PutRepositoryTriggers operation.

#### TestRepositoryTriggers

    @Deprecated
    public static final CodecommitActions TestRepositoryTriggers

Deprecated.
Action for the TestRepositoryTriggers operation.

#### UpdateDefaultBranch

    public static final CodecommitActions UpdateDefaultBranch

Action for the UpdateDefaultBranch operation.

#### UpdateRepositoryDescription

    public static final CodecommitActions UpdateRepositoryDescription

Action for the UpdateRepositoryDescription operation.

#### UpdateRepositoryName

    public static final CodecommitActions UpdateRepositoryName

Action for the UpdateRepositoryName operation.

### Method Detail

#### values

    public static CodecommitActions[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CodecommitActions c : CodecommitActions.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CodecommitActions valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getActionName

    public String getActionName()

Specified by:
  `getActionName` in interface `Action`